/*
 * This file has been generated by the onto2vocabularyclass tool
 * copyright (C) 2007-2010 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _SOPRANO_OPENCALAIS_H_
#define _SOPRANO_OPENCALAIS_H_

#include <QtCore/QUrl>

namespace Nepomuk {
    namespace Vocabulary {
        namespace OpenCalais {
            /**
             * http://s.opencalais.com/1/linkeddata/pred/
             */
            QUrl opencalaisNamespace();

            /**
             * http://s.opencalais.com/1/linkeddata/pred/address 
             */
            QUrl address();

            /**
             * http://s.opencalais.com/1/linkeddata/pred/alias 
             */
            QUrl alias();

            /**
             * http://s.opencalais.com/1/linkeddata/pred/cik 
             */
            QUrl cik();

            /**
             * http://s.opencalais.com/1/linkeddata/pred/competitor 
             */
            QUrl competitor();

            /**
             * http://s.opencalais.com/1/linkeddata/pred/containedBy 
             */
            QUrl containedBy();

            /**
             * http://s.opencalais.com/1/linkeddata/pred/disambiguation 
             */
            QUrl disambiguation();

            /**
             * http://s.opencalais.com/1/linkeddata/pred/personposition 
             */
            QUrl personposition();

            /**
             * http://s.opencalais.com/1/linkeddata/pred/profile 
             */
            QUrl profile();

            /**
             * http://s.opencalais.com/1/linkeddata/pred/redirection 
             */
            QUrl redirection();

            /**
             * http://s.opencalais.com/1/linkeddata/pred/sic 
             */
            QUrl sic();

            /**
             * http://s.opencalais.com/1/pred/affiliaterelationtype 
             * 
             * Nature of a relationship between business entities 
             */
            QUrl affiliaterelationtype();

            /**
             * http://s.opencalais.com/1/pred/age 
             * 
             * A person's age 
             */
            QUrl age();

            /**
             * http://s.opencalais.com/1/pred/allowDistribution 
             * 
             * Indicates whether tghe extracted metadata can be distributed 
             * (user directive in paramsXML) 
             */
            QUrl allowDistribution();

            /**
             * http://s.opencalais.com/1/pred/allowSearch 
             * 
             * Indicates whether future searches can be performed on the extracted 
             * metadata (user directive in paramsXML) 
             */
            QUrl allowSearch();

            /**
             * http://s.opencalais.com/1/pred/birthdate 
             * 
             * A person's date of birth 
             */
            QUrl birthdate();

            /**
             * http://s.opencalais.com/1/pred/birthplace 
             * 
             * A person's place of birth 
             */
            QUrl birthplace();

            /**
             * http://s.opencalais.com/1/pred/bonussharesratio 
             * 
             * Proportion of shares held to shares to be received 
             */
            QUrl bonussharesratio();

            /**
             * http://s.opencalais.com/1/pred/businessrelationtype 
             * 
             * Type of business relation between two entities 
             */
            QUrl businessrelationtype();

            /**
             * http://s.opencalais.com/1/pred/calaisRequestID 
             * 
             * Unique identifier for the processed request 
             */
            QUrl calaisRequestID();

            /**
             * http://s.opencalais.com/1/pred/calculateRelevanceScore 
             * 
             * Indicates whether the extracted metadata will icnlude relevance 
             * score for each unique entity (processing directive in paramsXML) 
             */
            QUrl calculateRelevanceScore();

            /**
             * http://s.opencalais.com/1/pred/caller 
             * 
             * Used internally by various Calais apps 
             */
            QUrl caller();

            /**
             * http://s.opencalais.com/1/pred/careertype 
             * 
             * Indicates whether the career is Political or Professional 
             */
            QUrl careertype();

            /**
             * http://s.opencalais.com/1/pred/category 
             * 
             * URI for the identified category/topic of the submitted content 
             * based on the Calais document classification module 
             */
            QUrl category();

            /**
             * http://s.opencalais.com/1/pred/categoryName 
             * 
             * Human-friendly name for the identified content category/topic 
             */
            QUrl categoryName();

            /**
             * http://s.opencalais.com/1/pred/certification 
             * 
             * Professional credential or certification achieved through 
             * a person's education 
             */
            QUrl certification();

            /**
             * http://s.opencalais.com/1/pred/changetype 
             * 
             * Type of the employment change, e.g., Enters, Leaves 
             */
            QUrl changetype();

            /**
             * http://s.opencalais.com/1/pred/charge 
             * 
             * Charge related to arrest, conviction, indictment or trial 
             * events 
             */
            QUrl charge();

            /**
             * http://s.opencalais.com/1/pred/city 
             * 
             * Name of a city, village or settlement 
             */
            QUrl city();

            /**
             * http://s.opencalais.com/1/pred/classifierName 
             * 
             * Internal name of the Calais document classification module 
             * applied 
             */
            QUrl classifierName();

            /**
             * http://s.opencalais.com/1/pred/company 
             * 
             * Canonic name of a company entity that is a participant in an event/fact 
             */
            QUrl company();

            /**
             * http://s.opencalais.com/1/pred/company_acquirer 
             * 
             * Company that acquires another company 
             */
            QUrl company_acquirer();

            /**
             * http://s.opencalais.com/1/pred/company_affiliate 
             * 
             * Company that is a subsidiary or division of another company 
             */
            QUrl company_affiliate();

            /**
             * http://s.opencalais.com/1/pred/company_beingacquired 
             * 
             * Company that is acquired by another company 
             */
            QUrl company_beingacquired();

            /**
             * http://s.opencalais.com/1/pred/company_customer 
             * 
             * Company that purchases products or services from another entity 
             */
            QUrl company_customer();

            /**
             * http://s.opencalais.com/1/pred/company_distributor 
             * 
             * Company that is a distributor of products 
             */
            QUrl company_distributor();

            /**
             * http://s.opencalais.com/1/pred/company_formername 
             * 
             * Former company name prior to a name change 
             */
            QUrl company_formername();

            /**
             * http://s.opencalais.com/1/pred/company_investor 
             * 
             * Company making an investment in another company 
             */
            QUrl company_investor();

            /**
             * http://s.opencalais.com/1/pred/company_newname 
             * 
             * New company name resulting from joint venture or a company's 
             * name change 
             */
            QUrl company_newname();

            /**
             * http://s.opencalais.com/1/pred/company_parent 
             * 
             * Company that is a parent of another company 
             */
            QUrl company_parent();

            /**
             * http://s.opencalais.com/1/pred/company_plaintiff 
             * 
             * Company that is a plaintiff in a legal issue 
             */
            QUrl company_plaintiff();

            /**
             * http://s.opencalais.com/1/pred/company_provider 
             * 
             * Company that sells products or services to another entity 
             */
            QUrl company_provider();

            /**
             * http://s.opencalais.com/1/pred/company_rated 
             * 
             * Company that is being rated by analysts for its credit, equity, 
             * financial performance, etc. 
             */
            QUrl company_rated();

            /**
             * http://s.opencalais.com/1/pred/company_recalling 
             * 
             * Company that is recalling a product 
             */
            QUrl company_recalling();

            /**
             * http://s.opencalais.com/1/pred/company_source 
             * 
             * Company that is an investment bank/analyst company issuing 
             * rating or recommendation 
             */
            QUrl company_source();

            /**
             * http://s.opencalais.com/1/pred/company_sued 
             * 
             * Company that is being sued in a legal issue 
             */
            QUrl company_sued();

            /**
             * http://s.opencalais.com/1/pred/companylocationtype 
             * 
             * Type of a location where a company is based. For example: headquarters, 
             * center of operations, etc. 
             */
            QUrl companylocationtype();

            /**
             * http://s.opencalais.com/1/pred/companymeetingtype 
             * 
             * Nature of company meeting, based on topics to be discussed. 
             * For example: Annual General Meeting (AGM), Extraordinary 
             * General Meeting (EGM), etc. 
             */
            QUrl companymeetingtype();

            /**
             * http://s.opencalais.com/1/pred/conferencecalltype 
             * 
             * Nature of conference call, based on topics to be discussed 
             */
            QUrl conferencecalltype();

            /**
             * http://s.opencalais.com/1/pred/containedbycountry 
             * 
             * Country name that contains a resolved geography (city, province/state, 
             * country) 
             */
            QUrl containedbycountry();

            /**
             * http://s.opencalais.com/1/pred/containedbystate 
             * 
             * Province/State name that contains a resolved geograpy (city) 
             */
            QUrl containedbystate();

            /**
             * http://s.opencalais.com/1/pred/contentType 
             * 
             * Format of the input content as submitted by the user (processing 
             * direcgtive in paramsXML) 
             */
            QUrl contentType();

            /**
             * http://s.opencalais.com/1/pred/country 
             * 
             * Name of country referred to in text 
             */
            QUrl country();

            /**
             * http://s.opencalais.com/1/pred/date 
             * 
             * Normalized date mentioned in text, either explicitly or relative 
             * to a DateString 
             */
            QUrl date();

            /**
             * http://s.opencalais.com/1/pred/datestring 
             * 
             * Normalized date mentioned in text, either explicitly or relative 
             * to a DateString 
             */
            QUrl datestring();

            /**
             * http://s.opencalais.com/1/pred/degree 
             * 
             * Academic degree obtained through a person's education 
             */
            QUrl degree();

            /**
             * http://s.opencalais.com/1/pred/detection 
             * 
             * Text portions before and after a matched instance 
             */
            QUrl detection();

            /**
             * http://s.opencalais.com/1/pred/discardMetadata 
             * 
             * Indicates whether the output will exclude Entity Disambiguation 
             * results (processing directives in paramsXML) 
             */
            QUrl discardMetadata();

            /**
             * http://s.opencalais.com/1/pred/docDate 
             * 
             * Identified date of the submitted content (if mentioned) 
             */
            QUrl docDate();

            /**
             * http://s.opencalais.com/1/pred/docId 
             * 
             * URI of the processed content for future retrievals 
             */
            QUrl docId();

            /**
             * http://s.opencalais.com/1/pred/docTitle 
             * 
             * Document title as identified by Calais (could also be empty) 
             */
            QUrl docTitle();

            /**
             * http://s.opencalais.com/1/pred/document 
             * 
             * Original content submitted converted into a Calais XML 
             */
            QUrl document();

            /**
             * http://s.opencalais.com/1/pred/emVer 
             * 
             * Internal version name/number of the Calais extraction module 
             */
            QUrl emVer();

            /**
             * http://s.opencalais.com/1/pred/emailaddress 
             * 
             * Email address mentioned in the text 
             */
            QUrl emailaddress();

            /**
             * http://s.opencalais.com/1/pred/employeesnumber 
             * 
             * The number of employees employed by a company 
             */
            QUrl employeesnumber();

            /**
             * http://s.opencalais.com/1/pred/enableMetadataType 
             * 
             * Indicates whether the output (RDF only) will include Generic 
             * Relation extractions (processing directive in paramsXML) 
             */
            QUrl enableMetadataType();

            /**
             * http://s.opencalais.com/1/pred/environmentalissue 
             * 
             * Envireonmental issue mentioned in the text 
             */
            QUrl environmentalissue();

            /**
             * http://s.opencalais.com/1/pred/exact 
             * 
             * Text portion of a matched instance 
             */
            QUrl exact();

            /**
             * http://s.opencalais.com/1/pred/expansiontype 
             * 
             * Type of an expansion event, either New Mrket or New Unit 
             */
            QUrl expansiontype();

            /**
             * http://s.opencalais.com/1/pred/externalID 
             * 
             * Indicates whether the extracted metadata can be distributed 
             * (user directive in paramsXML) 
             */
            QUrl externalID();

            /**
             * http://s.opencalais.com/1/pred/externalMetadata 
             * 
             * External Metadate section as submitted by the user 
             */
            QUrl externalMetadata();

            /**
             * http://s.opencalais.com/1/pred/facility 
             * 
             * Name of a facility 
             */
            QUrl facility();

            /**
             * http://s.opencalais.com/1/pred/familyrelationtype 
             * 
             * Family relationship of two individuals 
             */
            QUrl familyrelationtype();

            /**
             * http://s.opencalais.com/1/pred/fdastage 
             * 
             * Stage in the FDA approval process 
             */
            QUrl fdastage();

            /**
             * http://s.opencalais.com/1/pred/financialmetric 
             * 
             * Normalized metric of financial results. For example: Revenues, 
             * Net Loss, Earnings Per Share (Diluted), etc. 
             */
            QUrl financialmetric();

            /**
             * http://s.opencalais.com/1/pred/financialtrend 
             * 
             * Current rating or recommendation with respect to previous 
             * rating/recommendation 
             */
            QUrl financialtrend();

            /**
             * http://s.opencalais.com/1/pred/gender 
             * 
             * A person's gender 
             */
            QUrl gender();

            /**
             * http://s.opencalais.com/1/pred/id 
             * 
             * Shortened version of the docId 
             */
            QUrl id();

            /**
             * http://s.opencalais.com/1/pred/lang 
             * 
             * URI of the identified language for the submitted content 
             */
            QUrl lang();

            /**
             * http://s.opencalais.com/1/pred/langIdVer 
             * 
             * Internal version name/number of the Calais language identification 
             * module 
             */
            QUrl langIdVer();

            /**
             * http://s.opencalais.com/1/pred/language 
             * 
             * Human-friendly name for the Identified language of the submitted 
             * content 
             */
            QUrl language();

            /**
             * http://s.opencalais.com/1/pred/latitude 
             * 
             * Latitude of a disambiguated geography 
             */
            QUrl latitude();

            /**
             * http://s.opencalais.com/1/pred/lawsuitclass 
             * 
             * Type of a legal issue. Possible values are: Class action or lawsuit 
             */
            QUrl lawsuitclass();

            /**
             * http://s.opencalais.com/1/pred/length 
             * 
             * Length of the matched text (in characters) for each identified 
             * instance 
             */
            QUrl length();

            /**
             * http://s.opencalais.com/1/pred/location 
             * 
             * Location name where certain events occurred 
             */
            QUrl location();

            /**
             * http://s.opencalais.com/1/pred/locationdestination 
             * 
             * Location name that is a destination of a person's travel 
             */
            QUrl locationdestination();

            /**
             * http://s.opencalais.com/1/pred/locationorigin 
             * 
             * Location name that is an origin of a person's travel 
             */
            QUrl locationorigin();

            /**
             * http://s.opencalais.com/1/pred/longitude 
             * 
             * Longitude of a disambiguated geography 
             */
            QUrl longitude();

            /**
             * http://s.opencalais.com/1/pred/manmadedisaster 
             * 
             * Phrase describing a man-made disaster 
             */
            QUrl manmadedisaster();

            /**
             * http://s.opencalais.com/1/pred/message 
             * 
             * Container for messagecode and text - contains info about the 
             * returned error message 
             */
            QUrl message();

            /**
             * http://s.opencalais.com/1/pred/messageCode 
             * 
             * Internal code for an error message 
             */
            QUrl messageCode();

            /**
             * http://s.opencalais.com/1/pred/movie 
             * 
             * Name of a movie/film 
             */
            QUrl movie();

            /**
             * http://s.opencalais.com/1/pred/musicalbum 
             * 
             * Name of a music album 
             */
            QUrl musicalbum();

            /**
             * http://s.opencalais.com/1/pred/musicgroup_performer 
             * 
             * Name of a music group performing or releasing a music album 
             */
            QUrl musicgroup_performer();

            /**
             * http://s.opencalais.com/1/pred/name 
             * 
             * Name of an extracted or disambiguated element 
             */
            QUrl name();

            /**
             * http://s.opencalais.com/1/pred/nationality 
             * 
             * Nationality of an identified entity such as Person, Company, 
             * Organization if mentioned in the document 
             */
            QUrl nationality();

            /**
             * http://s.opencalais.com/1/pred/naturaldisaster 
             * 
             * Phrase describing a natural disaster 
             */
            QUrl naturaldisaster();

            /**
             * http://s.opencalais.com/1/pred/offset 
             * 
             * Offset of the matched text (in characters, from the beginning 
             * of the document) for each identified instance 
             */
            QUrl offset();

            /**
             * http://s.opencalais.com/1/pred/organization 
             * 
             * Canonic name of an organization entity that is a participant 
             * in an event/fact 
             */
            QUrl organization();

            /**
             * http://s.opencalais.com/1/pred/organization_customer 
             * 
             * Organization that purchases products or services from another 
             * entity 
             */
            QUrl organization_customer();

            /**
             * http://s.opencalais.com/1/pred/organization_rated 
             * 
             * Organization that is being rated by analysts for its credit 
             * status 
             */
            QUrl organization_rated();

            /**
             * http://s.opencalais.com/1/pred/organizationorcompany 
             * 
             * Name of a company or an organization 
             */
            QUrl organizationorcompany();

            /**
             * http://s.opencalais.com/1/pred/organizationtype 
             * 
             * Organization classification. Possible values: sports, governmental 
             * military, governmental civilian, political party. N/A. 
             */
            QUrl organizationtype();

            /**
             * http://s.opencalais.com/1/pred/othercharges 
             * 
             * List of additional charges related to arrest, conviction, 
             * indictment or trial events 
             */
            QUrl othercharges();

            /**
             * http://s.opencalais.com/1/pred/outputFormat 
             * 
             * Format of the returned results (processing directive in paramsXML) 
             */
            QUrl outputFormat();

            /**
             * http://s.opencalais.com/1/pred/patentdescription 
             * 
             * Phrase describing a patent 
             */
            QUrl patentdescription();

            /**
             * http://s.opencalais.com/1/pred/patentnumber 
             * 
             * Number of an issued/registered patent 
             */
            QUrl patentnumber();

            /**
             * http://s.opencalais.com/1/pred/person 
             * 
             * Canonic name of a person entity that is a participant in an event/fact 
             */
            QUrl person();

            /**
             * http://s.opencalais.com/1/pred/person_employee 
             * 
             * Name of a person that is an employee 
             */
            QUrl person_employee();

            /**
             * http://s.opencalais.com/1/pred/person_employer 
             * 
             * Name of a person that is an employer 
             */
            QUrl person_employer();

            /**
             * http://s.opencalais.com/1/pred/person_performer 
             * 
             * Name of a person (artist) performing or releasing a music album 
             */
            QUrl person_performer();

            /**
             * http://s.opencalais.com/1/pred/person_plaintiff 
             * 
             * Peron that is a plaintiff in a legal issue 
             */
            QUrl person_plaintiff();

            /**
             * http://s.opencalais.com/1/pred/person_relative 
             * 
             * Name of a family relative 
             */
            QUrl person_relative();

            /**
             * http://s.opencalais.com/1/pred/person_source 
             * 
             * Name of the analyst issuing an estimate or recommendation 
             */
            QUrl person_source();

            /**
             * http://s.opencalais.com/1/pred/persondescription 
             * 
             * Description of person involved in an event/fact 
             */
            QUrl persondescription();

            /**
             * http://s.opencalais.com/1/pred/personrelationtype 
             * 
             * Type of relationship between two people. For example: business, 
             * Academic Military, Romantic, etc. 
             */
            QUrl personrelationtype();

            /**
             * http://s.opencalais.com/1/pred/persontype 
             * 
             * Person classification. Possible values: sports, entertainment, 
             * political, economic, military. N/A 
             */
            QUrl persontype();

            /**
             * http://s.opencalais.com/1/pred/position 
             * 
             * Title of position that person holds, will hold, or held. 
             */
            QUrl position();

            /**
             * http://s.opencalais.com/1/pred/prefix 
             * 
             * Text portion before a matched instance 
             */
            QUrl prefix();

            /**
             * http://s.opencalais.com/1/pred/price_new 
             * 
             * Target price quoted. 
             */
            QUrl price_new();

            /**
             * http://s.opencalais.com/1/pred/price_old 
             * 
             * Previous target price. 
             */
            QUrl price_old();

            /**
             * http://s.opencalais.com/1/pred/processingVer 
             * 
             * Internal version of the tagging process 
             */
            QUrl processingVer();

            /**
             * http://s.opencalais.com/1/pred/product 
             * 
             * Canonic name of a product entity that is a particpant in an event/fact 
             */
            QUrl product();

            /**
             * http://s.opencalais.com/1/pred/producttype 
             * 
             * Product classification. Possible values: drug, car, aircraft 
             * electronics. N/A 
             */
            QUrl producttype();

            /**
             * http://s.opencalais.com/1/pred/provinceorstate 
             * 
             * State, county or province that is a sub-part of a country 
             */
            QUrl provinceorstate();

            /**
             * http://s.opencalais.com/1/pred/quarter 
             * 
             * Quarter number referred to in text 
             */
            QUrl quarter();

            /**
             * http://s.opencalais.com/1/pred/quote 
             * 
             * Direct or indirect excerpt of communication 
             */
            QUrl quote();

            /**
             * http://s.opencalais.com/1/pred/rank_new 
             * 
             * New or current rank of a company's equity or debt 
             */
            QUrl rank_new();

            /**
             * http://s.opencalais.com/1/pred/rank_old 
             * 
             * Previous rank of a company's equity or debt 
             */
            QUrl rank_old();

            /**
             * http://s.opencalais.com/1/pred/relationobject 
             * 
             * The subject of a GenericRelations (subject-predicate-object) 
             * extraction 
             */
            QUrl relationobject();

            /**
             * http://s.opencalais.com/1/pred/relationsubject 
             * 
             * The object of a GenericRelations (subject-predicate-object) 
             * extraction 
             */
            QUrl relationsubject();

            /**
             * http://s.opencalais.com/1/pred/relevance 
             * 
             * Relevance score in the rage 0-1 of each extracted entity; indicates 
             * the importance of an entity relative to the current document 
             */
            QUrl relevance();

            /**
             * http://s.opencalais.com/1/pred/reltagBaseURL 
             * 
             * Base URL to be put in rel-tag microformats (processing directives 
             * in paramsXML) 
             */
            QUrl reltagBaseURL();

            /**
             * http://s.opencalais.com/1/pred/repositoryVer 
             */
            QUrl repositoryVer();

            /**
             * http://s.opencalais.com/1/pred/schoolororganization 
             * 
             * Academic institution 
             */
            QUrl schoolororganization();

            /**
             * http://s.opencalais.com/1/pred/score 
             * 
             * Confidence score (range: 0 lowest - 1 highest) of the assigned 
             * type/topic 
             */
            QUrl score();

            /**
             * http://s.opencalais.com/1/pred/shortname 
             * 
             * Core name of a resolved geography 
             */
            QUrl shortname();

            /**
             * http://s.opencalais.com/1/pred/signature 
             * 
             * Security signature of the RDF content returned by Calais 
             */
            QUrl signature();

            /**
             * http://s.opencalais.com/1/pred/species 
             * 
             * Species part of extinction events 
             */
            QUrl species();

            /**
             * http://s.opencalais.com/1/pred/status 
             * 
             * Status of various events and facts based on the context of the 
             * text. For example: announced, planned, cancelled, postponed, 
             * rumored, known, closed, new, etc. 
             */
            QUrl status();

            /**
             * http://s.opencalais.com/1/pred/stockexchange 
             * 
             * Normalized name of the stock exchange 
             */
            QUrl stockexchange();

            /**
             * http://s.opencalais.com/1/pred/stocksplitratio 
             * 
             * Proportion of shares held before the split to shares after the 
             * split 
             */
            QUrl stocksplitratio();

            /**
             * http://s.opencalais.com/1/pred/subject 
             * 
             * Extracted entity that is pointed to by a disambiguated entity 
             */
            QUrl subject();

            /**
             * http://s.opencalais.com/1/pred/submissionDate 
             * 
             * Time stamp for the processed request 
             */
            QUrl submissionDate();

            /**
             * http://s.opencalais.com/1/pred/submitter 
             * 
             * Identifier for the content submitter (user directive in paramsXML) 
             */
            QUrl submitter();

            /**
             * http://s.opencalais.com/1/pred/submitterCode 
             * 
             * Encrypted license key of the submitter 
             */
            QUrl submitterCode();

            /**
             * http://s.opencalais.com/1/pred/sueddescription 
             * 
             * Description of an entity that is being sued 
             */
            QUrl sueddescription();

            /**
             * http://s.opencalais.com/1/pred/suffix 
             * 
             * Text portions after a matched instance 
             */
            QUrl suffix();

            /**
             * http://s.opencalais.com/1/pred/technology 
             * 
             * Name or description of a type of technology 
             */
            QUrl technology();

            /**
             * http://s.opencalais.com/1/pred/text 
             * 
             * Human-friendly text that describes an error message 
             */
            QUrl text();

            /**
             * http://s.opencalais.com/1/pred/ticker 
             * 
             * Stock symbol 
             */
            QUrl ticker();

            /**
             * http://s.opencalais.com/1/pred/unit 
             * 
             * Company's unit such as department name of region name 
             */
            QUrl unit();

            /**
             * http://s.opencalais.com/1/pred/verb 
             * 
             * The main predicate/verb of a GenericRelations (subject-predicate-object) 
             * extraction 
             */
            QUrl verb();

            /**
             * http://s.opencalais.com/1/pred/year 
             * 
             * Year related to an event/fact 
             */
            QUrl year();

            /**
             * http://s.opencalais.com/1/type/cat/DocCat 
             * 
             * The type of an extracted content category/topic 
             */
            QUrl DocCat();

            /**
             * http://s.opencalais.com/1/type/em/e/Anniversary 
             * 
             * Describes an entity that is a reference to an anniversary 
             */
            QUrl Anniversary();

            /**
             * http://s.opencalais.com/1/type/em/e/Company 
             * 
             * The type of an extracted company name 
             */
            QUrl Company();

            /**
             * http://s.opencalais.com/1/type/em/e/Continent 
             * 
             * The type of an extracted continent name 
             */
            QUrl Continent();

            /**
             * http://s.opencalais.com/1/type/em/e/Currency 
             * 
             * The type of an extracted currency 
             */
            QUrl Currency();

            /**
             * http://s.opencalais.com/1/type/em/e/EmailAddress 
             * 
             * The type of an extracted email address 
             */
            QUrl EmailAddress();

            /**
             * http://s.opencalais.com/1/type/em/e/EntertainmentAwardEvent 
             * 
             * The type of an extracted entertainment-related event or award 
             */
            QUrl EntertainmentAwardEvent();

            /**
             * http://s.opencalais.com/1/type/em/e/Facility 
             * 
             * The type of an extracted facility - a man-made physical entity 
             */
            QUrl Facility();

            /**
             * http://s.opencalais.com/1/type/em/e/FaxNumber 
             * 
             * The type of an extracted fax number 
             */
            QUrl FaxNumber();

            /**
             * http://s.opencalais.com/1/type/em/e/Holiday 
             * 
             * The type of an extracted holiday 
             */
            QUrl Holiday();

            /**
             * http://s.opencalais.com/1/type/em/e/IndustryTerm 
             * 
             * The type of an extracted industry term 
             */
            QUrl IndustryTerm();

            /**
             * http://s.opencalais.com/1/type/em/e/MarketIndex 
             * 
             * The type of an extracted market index 
             */
            QUrl MarketIndex();

            /**
             * http://s.opencalais.com/1/type/em/e/MedicalCondition 
             * 
             * The type of an extracted medical condition 
             */
            QUrl MedicalCondition();

            /**
             * http://s.opencalais.com/1/type/em/e/MedicalTreatment 
             * 
             * The type of an extracted medical treatment 
             */
            QUrl MedicalTreatment();

            /**
             * http://s.opencalais.com/1/type/em/e/Movie 
             * 
             * The type of an extracted movie name 
             */
            QUrl Movie();

            /**
             * http://s.opencalais.com/1/type/em/e/MusicAlbum 
             * 
             * The type of an extracted music album name 
             */
            QUrl MusicAlbum();

            /**
             * http://s.opencalais.com/1/type/em/e/MusicGroup 
             * 
             * The type of an extracted music group name 
             */
            QUrl MusicGroup();

            /**
             * http://s.opencalais.com/1/type/em/e/NaturalFeature 
             * 
             * The type of an extracted natural feature 
             */
            QUrl NaturalFeature();

            /**
             * http://s.opencalais.com/1/type/em/e/OperatingSystem 
             * 
             * The type of an extracted operating system name 
             */
            QUrl OperatingSystem();

            /**
             * http://s.opencalais.com/1/type/em/e/Organization 
             * 
             * The type of an extracted organization name 
             */
            QUrl Organization();

            /**
             * http://s.opencalais.com/1/type/em/e/Person 
             * 
             * The type of an extracted person name 
             */
            QUrl Person();

            /**
             * http://s.opencalais.com/1/type/em/e/PhoneNumber 
             * 
             * The type of an extracted phone number 
             */
            QUrl PhoneNumber();

            /**
             * http://s.opencalais.com/1/type/em/e/Position 
             * 
             * The type of an extracted person's position or job title 
             */
            QUrl Position();

            /**
             * http://s.opencalais.com/1/type/em/e/Product 
             * 
             * The type of an extracted product name (drug, car models, electronics, 
             * etc.) 
             */
            QUrl Product();

            /**
             * http://s.opencalais.com/1/type/em/e/ProgrammingLanguage 
             * 
             * The type of an extracted programming language 
             */
            QUrl ProgrammingLanguage();

            /**
             * http://s.opencalais.com/1/type/em/e/ProvinceOrState 
             * 
             * The type of an extracted province, state or county name 
             */
            QUrl ProvinceOrState();

            /**
             * http://s.opencalais.com/1/type/em/e/PublishedMedium 
             * 
             * The type of an extracted published medium - newspapers, magazines, 
             * etc. 
             */
            QUrl PublishedMedium();

            /**
             * http://s.opencalais.com/1/type/em/e/RadioProgram 
             * 
             * The type of an extracted radio program 
             */
            QUrl RadioProgram();

            /**
             * http://s.opencalais.com/1/type/em/e/RadioStation 
             * 
             * The type of an extracted radio station 
             */
            QUrl RadioStation();

            /**
             * http://s.opencalais.com/1/type/em/e/Region 
             * 
             * The type of an extracted region 
             */
            QUrl Region();

            /**
             * http://s.opencalais.com/1/type/em/e/SportsEvent 
             * 
             * The type of an extracted sports event 
             */
            QUrl SportsEvent();

            /**
             * http://s.opencalais.com/1/type/em/e/SportsGame 
             * 
             * The type of an extracted sports game 
             */
            QUrl SportsGame();

            /**
             * http://s.opencalais.com/1/type/em/e/SportsLeague 
             * 
             * The type of an extracted sports league 
             */
            QUrl SportsLeague();

            /**
             * http://s.opencalais.com/1/type/em/e/TVShow 
             * 
             * The type of an extracted TV show 
             */
            QUrl TVShow();

            /**
             * http://s.opencalais.com/1/type/em/e/TVStation 
             * 
             * The type of an extracted TV station 
             */
            QUrl TVStation();

            /**
             * http://s.opencalais.com/1/type/em/e/Technology 
             * 
             * The type of an extracted technology name 
             */
            QUrl Technology();

            /**
             * http://s.opencalais.com/1/type/em/e/URL 
             * 
             * The type of an extracted URL mention 
             */
            QUrl URL();

            /**
             * http://s.opencalais.com/1/type/em/r/Acquisition 
             * 
             * The type of an extracted acquisition relation between multiple 
             * companies 
             */
            QUrl Acquisition();

            /**
             * http://s.opencalais.com/1/type/em/r/Alliance 
             * 
             * The type of an extracted alliance relation between multiple 
             * companies 
             */
            QUrl Alliance();

            /**
             * http://s.opencalais.com/1/type/em/r/AnalystEarningsEstimate 
             * 
             * The type of an extracted analyst earnings estimate mentioned 
             * - estimates given by exgternal analysts regarding the forecasted 
             * earnings of companies 
             */
            QUrl AnalystEarningsEstimate();

            /**
             * http://s.opencalais.com/1/type/em/r/AnalystRecommendation 
             * 
             * The type of an extracted stock recommendation mentioned - recommendation 
             * given by external analysts regarding the company's equity 
             */
            QUrl AnalystRecommendation();

            /**
             * http://s.opencalais.com/1/type/em/r/Arrest 
             * 
             * The type of an extracted arrest event 
             */
            QUrl Arrest();

            /**
             * http://s.opencalais.com/1/type/em/r/Bankruptcy 
             * 
             * The type of an extracted company's bankruptcy mention 
             */
            QUrl Bankruptcy();

            /**
             * http://s.opencalais.com/1/type/em/r/BonusSharesIssuance 
             * 
             * The type of an extracted bonus shares issuance 
             */
            QUrl BonusSharesIssuance();

            /**
             * http://s.opencalais.com/1/type/em/r/BusinessRelation 
             * 
             * The type of an extracted business relation mentioned between 
             * multiple companies 
             */
            QUrl BusinessRelation();

            /**
             * http://s.opencalais.com/1/type/em/r/Buybacks 
             * 
             * The type of an extracted buyback event 
             */
            QUrl Buybacks();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyAffiliates 
             * 
             * The type of an extracted parent-subsidiary relation between 
             * two companies 
             */
            QUrl CompanyAffiliates();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyCompetitor 
             * 
             * The type of an extracted competition relation between two companies 
             */
            QUrl CompanyCompetitor();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyCustomer 
             * 
             * The type of an extracted supplier-customer relation between 
             * two companies 
             */
            QUrl CompanyCustomer();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyEarningsAnnouncement 
             * 
             * The type of an extracted earnings announcement event made by 
             * companies 
             */
            QUrl CompanyEarningsAnnouncement();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyEarningsGuidance 
             * 
             * The type of an extracted earnings forecast/guidance event 
             * made by companies 
             */
            QUrl CompanyEarningsGuidance();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyEmployeesNumber 
             * 
             * The type of an extracted mention of the number of employees in 
             * a company 
             */
            QUrl CompanyEmployeesNumber();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyExpansion 
             * 
             * The type of an extracted event of company expansion 
             */
            QUrl CompanyExpansion();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyFounded 
             * 
             * The type of an extracted mention of the founding year of a company 
             */
            QUrl CompanyFounded();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyInvestment 
             * 
             * The type of an extracted company investment/funding mention 
             */
            QUrl CompanyInvestment();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyLegalIssues 
             * 
             * The type of an extracted legal issue involving a company 
             */
            QUrl CompanyLegalIssues();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyLocation 
             * 
             * The type of an extracted information about company's location 
             */
            QUrl CompanyLocation();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyMeeting 
             * 
             * The type of an extracted announcement of meetings (e.g., AGM, 
             * EGM) initiated by companies 
             */
            QUrl CompanyMeeting();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyNameChange 
             * 
             * The type of an extracted event of company changing its name 
             */
            QUrl CompanyNameChange();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyProduct 
             * 
             * The type of an extracted mention of a product offered by a company 
             */
            QUrl CompanyProduct();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyReorganization 
             * 
             * The type of an extracted mention of reorganization/restructuring 
             * of companies 
             */
            QUrl CompanyReorganization();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyTechnology 
             * 
             * The type of an extracted mention of a technology offered by a 
             * company 
             */
            QUrl CompanyTechnology();

            /**
             * http://s.opencalais.com/1/type/em/r/CompanyTicker 
             * 
             * The type of an extracted mention of company's ticker and stock 
             * exchange where it's traded 
             */
            QUrl CompanyTicker();

            /**
             * http://s.opencalais.com/1/type/em/r/ConferenceCall 
             * 
             * The type of an extracted announcement of a conference call initiated 
             * by companies to review financial results 
             */
            QUrl ConferenceCall();

            /**
             * http://s.opencalais.com/1/type/em/r/Conviction 
             * 
             * The type of an extracted conviction event 
             */
            QUrl Conviction();

            /**
             * http://s.opencalais.com/1/type/em/r/CreditRating 
             * 
             * The type of an extracted mention of rating the credit of companies 
             * or organizations 
             */
            QUrl CreditRating();

            /**
             * http://s.opencalais.com/1/type/em/r/EmploymentChange 
             * 
             * The type of an extracted mention of change of employment relative 
             * to people, companies or organizations 
             */
            QUrl EmploymentChange();

            /**
             * http://s.opencalais.com/1/type/em/r/EmploymentRelation 
             * 
             * The type of an extracted relation between an employer person 
             * to an employee person 
             */
            QUrl EmploymentRelation();

            /**
             * http://s.opencalais.com/1/type/em/r/EnvironmentalIssue 
             * 
             * The type of an extracted mention of various environmental issues 
             */
            QUrl EnvironmentalIssue();

            /**
             * http://s.opencalais.com/1/type/em/r/Extinction 
             * 
             * The type of an extracted mention of species extinction 
             */
            QUrl Extinction();

            /**
             * http://s.opencalais.com/1/type/em/r/FDAPhase 
             * 
             * The type of an extracted mention of a drug's phase in the US FDA's 
             * approval process 
             */
            QUrl FDAPhase();

            /**
             * http://s.opencalais.com/1/type/em/r/FamilyRelation 
             * 
             * The type of an extracted mention of family relation such as husband-wife, 
             * parent-child, etc. 
             */
            QUrl FamilyRelation();

            /**
             * http://s.opencalais.com/1/type/em/r/GenericRelations 
             * 
             * The type of an extracted relation of the form: Subject - Verb 
             * / Predicate - Object 
             */
            QUrl GenericRelations();

            /**
             * http://s.opencalais.com/1/type/em/r/IPO 
             * 
             * The type of an extracted mention of company's initial public 
             * offering 
             */
            QUrl IPO();

            /**
             * http://s.opencalais.com/1/type/em/r/Indictment 
             * 
             * The type of an extracted indictment event 
             */
            QUrl Indictment();

            /**
             * http://s.opencalais.com/1/type/em/r/JointVenture 
             * 
             * The type of an extracted joint venture event between companies 
             */
            QUrl JointVenture();

            /**
             * http://s.opencalais.com/1/type/em/r/ManMadeDisaster 
             * 
             * The type of an extracted mention of a specific man-made disaster 
             */
            QUrl ManMadeDisaster();

            /**
             * http://s.opencalais.com/1/type/em/r/Merger 
             * 
             * The type of an extracted merger event between companies 
             */
            QUrl Merger();

            /**
             * http://s.opencalais.com/1/type/em/r/MovieRelease 
             * 
             * The type of an extracted mention of a movie release 
             */
            QUrl MovieRelease();

            /**
             * http://s.opencalais.com/1/type/em/r/MusicAlbumRelease 
             * 
             * The type of an extracted mention of a music album release 
             */
            QUrl MusicAlbumRelease();

            /**
             * http://s.opencalais.com/1/type/em/r/NaturalDisaster 
             * 
             * The type of an extracted mention of a specific natural disaster 
             */
            QUrl NaturalDisaster();

            /**
             * http://s.opencalais.com/1/type/em/r/PatentFiling 
             * 
             * The type of an extracted mention of patent filing by companies 
             * or organizations 
             */
            QUrl PatentFiling();

            /**
             * http://s.opencalais.com/1/type/em/r/PatentIssuance 
             * 
             * The type of an extracted mention of patent issuance granted 
             * to companies or organizations 
             */
            QUrl PatentIssuance();

            /**
             * http://s.opencalais.com/1/type/em/r/PersonAttributes 
             * 
             * The type of an extracted personal information, such as age, 
             * gender, birthdate and birthplace 
             */
            QUrl PersonAttributes();

            /**
             * http://s.opencalais.com/1/type/em/r/PersonCareer 
             * 
             * The type of an extracted mention of person's position and the 
             * associated company, organization or place 
             */
            QUrl PersonCareer();

            /**
             * http://s.opencalais.com/1/type/em/r/PersonCommunication 
             * 
             * The type of an extracted communication (meeting, phone call, 
             * etc.) between people or groups of people 
             */
            QUrl PersonCommunication();

            /**
             * http://s.opencalais.com/1/type/em/r/PersonEducation 
             * 
             * The type of an extracted mention of person's education and academic 
             * degree 
             */
            QUrl PersonEducation();

            /**
             * http://s.opencalais.com/1/type/em/r/PersonEmailAddress 
             * 
             * The tyhpe of an extracted mention of a person's email address 
             */
            QUrl PersonEmailAddress();

            /**
             * http://s.opencalais.com/1/type/em/r/PersonRelation 
             * 
             * The type of an extracted mention of various relationships between 
             * people, such as Military, Romantic, etc. 
             */
            QUrl PersonRelation();

            /**
             * http://s.opencalais.com/1/type/em/r/PersonTravel 
             * 
             * The type of an extracted mention of a person's travel from one 
             * place to another 
             */
            QUrl PersonTravel();

            /**
             * http://s.opencalais.com/1/type/em/r/ProductRecall 
             * 
             * The type of an extracted announcement of company recalling 
             * its products 
             */
            QUrl ProductRecall();

            /**
             * http://s.opencalais.com/1/type/em/r/ProductRelease 
             * 
             * The type of an extracted announcement of company releasing 
             * new products 
             */
            QUrl ProductRelease();

            /**
             * http://s.opencalais.com/1/type/em/r/Quotation 
             * 
             * The type of an extracted quotation and its speaker 
             */
            QUrl Quotation();

            /**
             * http://s.opencalais.com/1/type/em/r/SecondaryIssuance 
             * 
             * The type of an extracted mention of secondary stock issuance 
             */
            QUrl SecondaryIssuance();

            /**
             * http://s.opencalais.com/1/type/em/r/StockSplit 
             * 
             * The type of an extracted Stock Split relation mention - stock 
             * splits announced by companies 
             */
            QUrl StockSplit();

            /**
             * http://s.opencalais.com/1/type/em/r/Trial 
             * 
             * The type of an extracted trial event 
             */
            QUrl Trial();

            /**
             * http://s.opencalais.com/1/type/er/Geo/City 
             * 
             * The type of a disambiguated city name 
             */
            QUrl City();

            /**
             * http://s.opencalais.com/1/type/er/Geo/Country 
             * 
             * The type of a disambiguated country name 
             */
            QUrl Country();

            /**
             * http://s.opencalais.com/1/type/er/Product/Electronics 
             * 
             * The type of a disambiguated product name of type Electronics 
             */
            QUrl Electronics();

            /**
             * http://s.opencalais.com/1/type/lid/DefaultLangId 
             * 
             * The type of the identified language for the current document 
             */
            QUrl DefaultLangId();

            /**
             * http://s.opencalais.com/1/type/sys/DocInfo 
             * 
             * The type of the node that includes the tentire transaction: 
             * paramsXML and the submitted content 
             */
            QUrl DocInfo();

            /**
             * http://s.opencalais.com/1/type/sys/DocInfoMeta 
             * 
             * The type of the node that presents meta-info generated by Calais 
             */
            QUrl DocInfoMeta();

            /**
             * http://s.opencalais.com/1/type/sys/InstanceInfo 
             * 
             * The type of the node that presents details about individual 
             * instances of Calais types 
             */
            QUrl InstanceInfo();

            /**
             * http://s.opencalais.com/1/type/sys/Message 
             * 
             * The type of the node that contains error messages 
             */
            QUrl Message();

            /**
             * http://s.opencalais.com/1/type/sys/RelevanceInfo 
             * 
             * The type of the node that presents information about relevance 
             * ranking assiged to Calais entities 
             */
            QUrl RelevanceInfo();
        }
    }
}

#endif
